### Method

# Gio ThemedIcon get_names

#### Declaration

    const gchar* const*
    g_themed_icon_get_names (
      GThemedIcon* icon
    )

#### Description

Gets the names of icons from within `icon`.

Gets property | `Gio.ThemedIcon:names`

#### Return value

Type: An array of `utf8`

A list of icon names.

The array is `NULL`-terminated.
The data is owned by the instance.
Each element is a NUL terminated UTF-8 string.